Subject: Re: linux-next: sound tree build failure

From: Peter Ujfalusi <[email-masked]>
Date: Thu, 4 Jun 2009 11:08:13 +0300

On Thursday 04 June 2009 11:03:07 ext Takashi Iwai wrote:
> At Thu, 4 Jun 2009 17:33:42 +1000,
>
> Stephen Rothwell wrote:
> > Hi Takashi,
> >
> > Today's linux-next build (powerpc allyesconfig) failed like this:
> >
> > sound/soc/codecs/twl4030.c: In function 'twl4030_read_reg_cache':
> > sound/soc/codecs/twl4030.c:152: error: 'cache' undeclared (first use in
> > this function)
> >
> > Caused by commit 16a30fbb0d3aa4ee829a2dd3d0e314e2b5ae96a9 ("ASoC:
> > TWL4030: Use reg_cache in twl4030_init_chip").
> >
> > I reverted that commit for today.
>
> Thanks.  It's likely a cut-and-paste error in that commit.
> I fixed now on sound git tree.

Yes, it was a cut-and-paste error. I have also made the patch to fix it.
I'll not send it, thanks Takashi for fixing it.

It is so embarrassing, since this is the second time that my patch broke the 
linux-next build.
I'll try to be even more careful in the future.

Again, sorry about this.

> Takashi

-- 
Péter